LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Non-*NIX Forums > Programming
User Name
Password
Programming This forum is for all programming questions.
The question does not have to be directly related to Linux and any language is fair game.

Notices


Reply
  Search this Thread
Old 08-22-2012, 05:35 PM   #1
Dafydd
Member
 
Registered: Oct 2008
Posts: 344

Rep: Reputation: 29
PHP library has/was moved


Oneiric
Gnome3

I have an emailer that runs from a 'cron' entry. Since it is usually in the back ground, I don't see the results much. To day I occation to run it from a command line. The message was sent but I got this NEW error for each address.

Quote:
Message has been sent to:
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626+lfs/sqlite.so' - /usr/lib/php5/20090626+lfs/sqlite.so: cannot open shared object file: No such file or directory in Unknown on line 0
Checking to see if the file existed, I find it has a different name.
Quote:
dave@Dafydd:~/tffrobot$ locate sqlite.so
/usr/lib/php5/20090626+lfs/pdo_sqlite.so
/usr/lib/seed-gtk3/libseed_sqlite.so
dave@Dafydd:~/tffrobot$
Is this known? Is the kosher? Should I worry?
 
Old 08-23-2012, 04:37 AM   #2
j-ray
Senior Member
 
Registered: Jan 2002
Location: germany
Distribution: ubuntu, mint, suse
Posts: 1,562

Rep: Reputation: 140Reputation: 140
sqlite.so and pdo_sqlite.so are different things.

But the message is just a warning. As long as you don't work with sqlite you will have no severe problems. Just a startup warning...

You could install the missing shared object, of course. If we knew your distro we could tell you how.

Last edited by j-ray; 08-23-2012 at 04:39 AM.
 
Old 08-23-2012, 10:47 PM   #3
Dafydd
Member
 
Registered: Oct 2008
Posts: 344

Original Poster
Rep: Reputation: 29
Quote:
Originally Posted by j-ray View Post
If we knew your distro we could tell you how.
Quote:
0.000000] Linux version 3.0.0-24-generic (buildd@akateko) (gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu3) ) #40-Ubuntu SMP Tue Jul 24 15:36:59 UTC 2012 (Ubuntu 3.0.0-24.40-generic 3.0.38)
Thanks for the feed back.

I do a lot of my program calling from a terminal window. It is much easier for me to cd to the directory I need to work in than to do all the GUI navigating.

I am amazed at the error/warnings/not founds that cross my screen and still everything works.
 
Old 08-23-2012, 10:56 PM   #4
abrinister
Member
 
Registered: Dec 2010
Location: /home
Distribution: RL: Arch x64 VM: Debian
Posts: 460

Rep: Reputation: 38
Code:
sudo apt-get install php5-sqlite
Alex Brinister
 
Old 08-24-2012, 12:17 AM   #5
Dafydd
Member
 
Registered: Oct 2008
Posts: 344

Original Poster
Rep: Reputation: 29
Interesting result.
Code:
dave@Dafydd:~$ sudo apt-get install php5-sqlite
[sudo] password for dave: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
php5-sqlite is already the newest version.
The following packages were automatically installed and are no longer required:
  shtool libqimageblitz4 libqscintilla2-5 unixodbc libtidy-0.99-0 libssl-dev libssl-doc zlib1g-dev
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
dave@Dafydd:~$
 
Old 08-24-2012, 01:54 AM   #6
j-ray
Senior Member
 
Registered: Jan 2002
Location: germany
Distribution: ubuntu, mint, suse
Posts: 1,562

Rep: Reputation: 140Reputation: 140
You could
apt-cache search sqlite
to see some proposals. Maybe it provides with an idea what might be the missing package. Helpful command anyway on Ubuntu.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626/xsl malayo Debian 8 07-02-2013 04:57 AM
A PHP Library for IPTables koosha Programming 7 12-25-2012 02:40 PM
FFMPEG maybe not an php library? Mkipz Linux - Newbie 2 06-25-2009 05:15 AM
RH 3 - Update PHP and GD Library SharkBait Red Hat 1 09-12-2006 06:10 AM
Re-compiling PHP with GD library ubers0ldat Linux - Software 1 08-20-2003 02:59 PM

LinuxQuestions.org > Forums > Non-*NIX Forums > Programming

All times are GMT -5. The time now is 09:35 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration